@ECHO OFF
REM ** DOIT.BAT (extended version) V1R0 John Ray 1994 **

if '%1'=='1' goto nowad
if '%1'=='2' goto nowad
if '%1'=='3' goto nowad

if not exist %1 goto waderr

if x==%6x goto nosl
if '%5'=='1' goto si

ipxsetup doom -devparm -file %1 -wart %2 %3 -skill %4 -nodes %5 -loadgame %6
goto end

:si
doom -devparm -file %1 -wart %2 %3 -skill %4 -nodes %5 -loadgame %6
goto end

:nosl
if '%5'=='1' goto noslsi

ipxsetup doom -devparm -file %1 -wart %2 %3 -skill %4 -nodes %5
goto end

:noslsi
doom -devparm -file %1 -wart %2 %3 -skill %4 -nodes %5
goto end


:nowad
if x==%5x goto nowsl
if '%4'=='1' goto nowsi

ipxsetup doom -devparm -wart %1 %2 -skill %3 -nodes %4 -loadgame %5
goto end

:nowsi
doom -devparm -wart %1 %2 -skill %3 -nodes %4 -loadgame %5
goto end

:nowsl
if '%4'=='1' goto nowslsi

ipxsetup doom -devparm -wart %1 %2 -skill %3 -nodes %4
goto end

:nowslsi
doom -devparm -wart %1 %2 -skill %3 -nodes %4
goto end

:waderr
ECHO ÿ
ECHO '%1' does not exist. Did you forget the '.WAD' extension?

:end
